Subject: Re: bug#17706: 24.4.50; locked file error in rmail-insert-inbox-text

From: Ken Olum <[email-masked]>
Date: Fri, 06 Jun 2014 12:29:33 -0400

From: Eli Zaretskii <[email-masked]>
   Date: Fri, 06 Jun 2014 18:50:23 +0300

   I wonder in what Emacs version you don't see it.

I don't see it in 23.3.  The reason is that this version has a bug in
which it deletes newlines from the end of the mail file before getting
new mail.  So it modifies the file before calling
rmail-insert-inbox-text and so gives the ask-user-about-lock query
before calling rmail-insert-inbox-text.

My recollection is that this didn't happen either in builds that I made
from trunk a few months ago, but I could easily be confused.  In
particular, I have a bunch of rmail hacks, and if one of these were
modifying the buffer before rmail-insert-inbox-text it would be the same
as above.  In 24.3 (using -Q to make sure nothing strange is going on),
I get the "RMAIL file RMAIL is locked".  So I think we should not worry
too much about why it seems only to be bothering me now.

                                        Ken